=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
                libssl-dev (>= 0.9.8),
                libsystemd-dev [linux-any],
                libtool,
+               libtss2-dev,
                libxml2-dev,
                pkg-config,
                po-debconf,
