=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,7 @@
 		--enable-pkcs11 \
 		--enable-test-vectors \
 		--enable-tpm \
+		--enable-tss-tss2 \
 		--enable-unity \
 		--enable-xauth-eap \
 		--enable-xauth-pam \
@@ -199,4 +200,3 @@
 	# add additional files not covered by upstream makefile...
 	install --mode=0600 $(CURDIR)/debian/ipsec.secrets.proto $(CURDIR)/debian/strongswan-starter/etc/ipsec.secrets
 
-	# set permissions on ipsec.secrets and private key directories
