=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: strongswan
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: strongSwan Maintainers <pkg-swan-devel@lists.alioth.debian.org>
+Maintainer: strongSwan Maintainers <pkg-swan-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/strongswan
 Vcs-Git: https://salsa.debian.org/debian/strongswan.git
 Build-Depends: bison,
@@ -137,7 +136,6 @@
   - gcrypt (Crypto backend based on libgcrypt, provides
     RSA/DH/ciphers/hashers/rng)
   - ldap (LDAP fetching plugin based on libldap)
-  - ntru (key exchanged based on post-quantum computer NTRU)
   - padlock (VIA padlock crypto backend, provides AES128/SHA1)
   - pkcs11 (PKCS#11 smartcard backend)
   - rdrand (High quality / high performance random source using the Intel
@@ -205,9 +203,6 @@
   - unity (Cisco Unity extensions for IKEv1)
   - xauth-eap (XAuth backend that uses EAP methods to verify passwords)
   - xauth-pam (XAuth backend that uses PAM modules to verify passwords)
-  - eap-dynamic (EAP proxy plugin that dynamically selects an EAP method
-    requested/supported by the client (since 5.0.1))
-  - eap-peap (EAP-PEAP protocol handler, wraps other EAP methods securely)
 
 Package: strongswan-starter
 Architecture: any
@@ -215,9 +210,9 @@
 Depends: adduser,
          libstrongswan (= ${binary:Version}),
          lsb-base (>= 3.0-6),
-         strongswan-charon,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: strongswan-charon
 Conflicts: openswan
 Description: strongSwan daemon starter and configuration file parser
  The strongSwan VPN suite uses the native IPsec stack in the standard
@@ -256,9 +251,9 @@
 Pre-Depends: debconf | debconf-2.0
 Depends: iproute2 [linux-any] | iproute [linux-any],
          libstrongswan (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: strongswan-starter,
+         strongswan-starter,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: ike-server
 Description: strongSwan Internet Key Exchange daemon
  The strongSwan VPN suite uses the native IPsec stack in the standard
@@ -274,3 +269,9 @@
 Recommends: network-manager-strongswan
 Replaces: network-manager-strongswan (<= 1.4.1-1~)
 Description: strongSwan plugin to interact with NetworkManager
+ The strongSwan VPN suite uses the native IPsec stack in the standard
+ Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
+ .
+ This plugin provides an interface which allows NetworkManager to configure
+ and control the IKEv2 daemon directly through D-Bus. It is designed to work
+ in conjunction with the network-manager-strongswan package, providing
