=== debian/rules ===
--- 
+++ 
@@ -15,16 +15,15 @@
 		--enable-curl \
 		--enable-eap-aka \
 		--enable-eap-gtc \
-		--enable-eap-dynamic \
 		--enable-eap-identity \
 		--enable-eap-md5 \
 		--enable-eap-mschapv2 \
-		--enable-eap-peap \
 		--enable-eap-radius \
 		--enable-eap-tls \
 		--enable-eap-tnc \
 		--enable-eap-ttls \
 		--enable-error-notify \
+		--enable-forecast \
 		--enable-gcm \
 		--enable-gcrypt \
 		--enable-ha \
@@ -33,7 +32,6 @@
 		--enable-led \
 		--enable-lookip \
 		--enable-mediation \
-		--enable-ntru \
 		--enable-openssl \
 		--enable-pkcs11 \
 		--enable-test-vectors \
@@ -200,3 +198,4 @@
 	# add additional files not covered by upstream makefile...
 	install --mode=0600 $(CURDIR)/debian/ipsec.secrets.proto $(CURDIR)/debian/strongswan-starter/etc/ipsec.secrets
 
+	# set permissions on ipsec.secrets and private key directories
